routes/web.php
<?php

use Illuminate\Support\Facades\Route;

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/
Route::get('/', 'Website\WebsiteController@index')->name('home');
Route::get('/login', 'Auth\AuthAdminController@index')->name('admin-mitsubishi');
Route::post('/auth', 'Auth\AuthAdminController@dologin')->name('dologin');
Route::get('/logout', 'Auth\AuthAdminController@logout')->name('logout');


Route::group(['as' => 'angpao.', 'prefix' => '/angpao'], function () {
  Route::get('/form-input', 'Website\WebsiteController@formInput')->name('forminput');
  Route::post('/doverifynopol', 'Website\WebsiteController@doVerifyNoPol')->name('doverifynopol');
  Route::get('/anpaotree', 'Website\WebsiteController@angpaoTree')->name('angpaotree');
  Route::post('/doinputform', 'Website\WebsiteController@doInputForm')->name('doinputform');
  Route::post('/dolottery', 'Website\WebsiteController@doLottery')->name('dolottery');
  Route::get('/voucher', 'Website\WebsiteController@voucher')->name('voucher');
  Route::get('/logout', 'Website\WebsiteController@logout')->name('logout');

});

Route::group(['as' => 'superadmin.', 'prefix' => '/superadmin','middleware' => ['role:Super Admin']], function () {
    Route::get('/setting', 'SuperAdmin\DashboardController@setting')->name('setting');
    Route::post('/settingwebsite', 'SuperAdmin\DashboardController@settingWebsite')->name('settingwebsite');
    Route::get('/', 'SuperAdmin\DashboardController@index')->name('index');

    Route::group(['as' => 'dealer.', 'prefix' => '/dealer'], function () {
        Route::get('/', 'SuperAdmin\DealerController@index')->name('index');
        Route::post('/show/{id}', 'SuperAdmin\DealerController@show')->name('show');
        Route::post('/created', 'SuperAdmin\DealerController@store')->name('store');
        Route::post('/{id}/update', 'SuperAdmin\DealerController@update')->name('update');
        Route::post('/imports', 'SuperAdmin\DealerController@dealerImport')->name('dealerimport');
    });

    Route::group(['as' => 'angpao.', 'prefix' => '/angpao'], function () {
      Route::get('/', 'SuperAdmin\AngpaoController@index')->name('index');
      Route::post('/add-qty/{id}', 'SuperAdmin\AngpaoController@addQty')->name('addqty');
    });

    Route::get('/{dealer}/{start}/{end}/export', 'SuperAdmin\DashboardController@export')->name('customer.export');
});

Route::group(['as' => 'dealer.', 'prefix' => '/dealer','middleware' => ['role:Dealer']], function () {
    Route::get('/', 'Dealer\DealerController@index')->name('index');
    Route::get('/add-customer', 'Dealer\DealerController@AddCustomerIndex')->name('addcustomer');
    Route::get('/{id}/print', 'Dealer\DealerController@print')->name('print');
    Route::get('/search-customer', 'Dealer\DealerController@SearchCustomerIndex')->name('searchcustomer');
    Route::get('/list-customer', 'Dealer\DealerController@ListCustomerIndex')->name('listcustomer');
    Route::post('/{id}/show', 'Dealer\DealerController@show')->name('show');
    Route::post('/createcustomer', 'Dealer\DealerController@createCustomer')->name('createcustomer');
    Route::post('/{id}/update', 'Dealer\DealerController@update')->name('update');
    Route::get('/{dealer}/{start}/{end}/export', 'SuperAdmin\DashboardController@export')->name('customer.export');
    Route::post('/import_customer', 'Dealer\DealerController@import')->name('importcustomer');

});

app/Http/Controllers/Website/WebsiteController.php
<?php

namespace App\Http\Controllers\Website;

use App\Http\Controllers\Controller;
use Illuminate\Http\Request;
use Validator;
use App\Traits\Responder;
use App\Entities\Bucket;
use App\Entities\Customer;
use App\Entities\Angpao;


class WebsiteController extends Controller
{
  use Responder;

    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function index(Request $request)
    {
        if($request->session()->has('idcustomer')){
          return redirect()->route('angpao.forminput');
        }else{
          return view('website.verify-page');
        }

    }

    public function formInput(Request $request)
    {
        if($request->session()->has('idcustomer')){
          $idcustomer = $request->session()->get('idcustomer');
          $data['customer'] = Customer::find($idcustomer);
          if ($data['customer']->name != null || $data['customer']->no_tlp != null ) {
            return redirect()->route('angpao.angpaotree');
          }

          return view('website.form-input',$data);
        }else{
          return redirect('/');
        }

    }

    public function angpaoTree(Request $request)
    {
      if($request->session()->has('idcustomer')){
        $idcustomer = $request->session()->get('idcustomer');
        $customer = Customer::find($idcustomer);
        if ($customer->angpao != null) {
          return redirect()->route('angpao.voucher');
        }

        return view('website.angpao-tree');
      }else{
        return redirect('/');
      }
    }

    public function voucher(Request $request)
    {
        if($request->session()->has('idcustomer')){
          $idcustomer = $request->session()->get('idcustomer');
          $data['customer'] = Customer::find($idcustomer);
          if ($data['customer']->angpao == null) {
            return redirect()->route('angpao.angpaotree');
          }

          return view('website.voucher',$data);
        }else{
          return redirect('/');
        }
    }

    public function doVerifyNoPol(Request $request)
    {
        $validator = Validator::make($request->all(), [
          'no_pol' => 'required',
        ]);

        if ($validator->passes()) {
          $customer = Customer::where('no_pol',$request->no_pol)->first();
          if ($customer == null) {
            $response['message'] = array_merge(['data tidak ditemukan']);
            return $this->response(400, $response);
          }
          if ($customer->angpao != null) {
            $response['message'] = array_merge(['data sudah mempunyai angpao dan tidak bisa login kembali']);
            return $this->response(400, $response);
          }

          $request->session()->put('idcustomer',$customer->id);

          $response['redirect_url'] = route('angpao.forminput');
          return $this->response(200, $response);
        }else{
          $response['message'] = array_merge(['Data Invalid!'], $validator->errors()->all());
          return $this->response(400, $response);
        }
      }

      public function doInputForm(Request $request)
      {
          $validator = Validator::make($request->all(), [
            'name' => 'required',
            'no_tlp' => 'required',
          ]);

          if ($validator->passes()) {
            $idcustomer = $request->session()->get('idcustomer');
            $customer = Customer::where('id',$idcustomer)->first();
            $customer->name = strtoupper($request->name);
            $customer->no_tlp = $request->no_tlp;
            if ($customer->save()) {
              $response['redirect_url'] = route('angpao.angpaotree');
              return $this->response(200, $response);
            }
          }else{
            $response['message'] = array_merge(['Data Invalid!'], $validator->errors()->all());
            return $this->response(400, $response);
          }
        }

        public function doLottery(Request $request)
        {
          $buckets = Bucket::all();
          $datahabis = 0;
          $data = null;

          $idcustomer = $request->session()->get('idcustomer');
          $customer = Customer::find($idcustomer);

          if ($customer->angpao != null) {
            $response['message'] = array_merge(['Anda sudah mengambil kado!']);
            return $this->response(400, $response);
          }

          foreach ($buckets as $key => $bucket) {
            $countAngpao = $bucket->angpao->count();
            if ($countAngpao >= $bucket->qty) { //hbis
              $datahabis = $datahabis + $bucket->percentage;
            }else{
              $data[] = [
                "id" => $bucket->id,
                "nominal" => $bucket->nominal,
                "percentage" => $bucket->percentage,
              ];
            }
          }

          if ($datahabis != 0 && $data != null) {
            $data[0]['percentage'] += $datahabis;
          }

          $random = mt_rand(0, 100);
          $w = 0;
          $itemBucketId = null;
          foreach($data as $id => $value) { // chooses a number
              $w += $value['percentage'];
              if ($w > $random) {
                  $itemBucketId = $value['id'];
                  break;
              }
          }

          $angpao = new Angpao();
          $angpao->id_bucket = $itemBucketId;
          $angpao->id_customer = $idcustomer;
          $angpao->id_user = $customer->dealer->id;

          $code = $this->generate_unique_code(10);
          $check = Angpao::where('code', $code)->count();

          while ($check != 0) {
              $code = generate_unique_code(10);
              $check = User::where('password_real', $code)->count();
          }

          $angpao->code = $code;
          if ($angpao->save()) {
            $response['redirect_url'] = route('angpao.voucher');
            return $this->response(200, $response);
          }


        }

        function generate_unique_code($length =null)
        {
            $strstring = "ABCDEFGHIJKLMNPQRSTUV123456789";

            $int = "123456789";
            $code = substr(str_shuffle(str_repeat($strstring, 5)), 0, $length);

            return $code;
        }

        public function logout(Request $request)
        {
            $idcustomer = $request->session()->forget('idcustomer');
            return redirect()->route('home');
        }

    /**
     * Show the form for creating a new resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function create()
    {
      $buckets = Bucket::all();
      
    }

    /**
     * Store a newly created resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return \Illuminate\Http\Response
     */
    public function store(Request $request)
    {
        //
    }

    /**
     * Display the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function show($id)
    {
        //
    }

    /**
     * Show the form for editing the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function edit($id)
    {
        //
    }

    /**
     * Update the specified resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function update(Request $request, $id)
    {
        //
    }

    /**
     * Remove the specified resource from storage.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function destroy($id)
    {
        //
    }
}

resources/views/website/angpao-tree.blade.php
<!DOCTYPE html>
<html lang="en" dir="ltr">
  <head>
    <meta charset="utf-8">
    <title>Mitsubishi Bagi-Bagi Angpao</title>
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
    <link rel="shortcut icon" href="{{asset('superuser_asset/assets/img/favicon.png')}}">
    <link href="https://fonts.googleapis.com/css?family=Roboto:400,300,100,500,700,900" rel="stylesheet" type="text/css">
    <link href="{{asset('superuser_asset/assets/css/bootstrap.min.css')}}" rel="stylesheet" type="text/css">
    <link rel="stylesheet" href="{{asset('superuser_asset/assets/css/animate.min.css')}}">
    <meta name="csrf-token" content="{{ csrf_token() }}">
    <style media="screen">
      body{
        background-color: #FFFFFF;
      }
      .body-content{
        margin-top: 15%;
        text-align: center;
      }
      .img-logo{
        width: 30%;
      }
      .img-event{
        margin-top: 5%;
        width: 90%;
      }
      .title-event{
        margin-bottom: 0 !important;
        color: #D53231;
        margin: 16px 0;
        font-weight: 800;
      }
      .desc-event{
        color: #D53231;
        font-weight: 600;
      }
      .modal-content{
        border: none;
        background: transparent;
      }
      .modal-content{
        margin-top: 50%;
        box-shadow: none;
      }
      .box-gift{
        text-align: center;
      }
      .display-none{
        display: none;
      }

    </style>
  </head>
  <body class="body-style display-none">
  <div class="container-fluid">
    <div class="col-md-12">
      <div class="body-content">
        <div class="row">
          <div class="col-md-12">
            <img src="{{asset('superuser_asset/assets/img/logo-mitshubishi-red.svg')}}" class="img-logo" alt="">
          </div>
          <div class="col-md-12">
            <div class="text-box">
              <h1 class="title-event">PILIH KADOMU</h1>
            </div>
          </div>
          <div class="col-md-12">
              <img src="{{asset('superuser_asset/assets/img/angpaotree.png')}}" onclick="alert('mohon tunggu sampai data terunggah semua')" class="img-event" alt="">
          </div>
        </div>
      </div>
    </div>
  </div>
   <div class="modal animated bounceIn" id="myModal"  id="gif"  tabindex="-1" role="dialog" aria-labelledby="myModalLabel">
    <div class="modal-dialog">
        <div class="modal-content">
            <div class="modal-body box-gift">
                <img class="img-gif"src="{{asset('superuser_asset/assets/img/angpao-small.gif')}}" width="100%" alt="">
            </div>
        </div>
    </div>
  </div>

  <script src="{{asset('superuser_asset/global_assets/js/main/jquery.min.js')}}"></script>
  <script src="{{asset('superuser_asset/global_assets/js/main/bootstrap.bundle.min.js')}}"></script>
  <script src="{{asset('superuser_asset/assets/plugins/gif/freezeframe.min.js')}}"></script>

  <script type="text/javascript">
  window.addEventListener('load', (event) => {
    console.log('page is fully loaded');
    $('.body-style').removeClass('display-none');
    $('.img-event').attr('onclick','doLottery(Event)');
  });
  const gif = new Freezeframe('#gif', {
    trigger: false
  });

    function doLottery(e) {
      // e.preventDefault();
      gif.start();
    }

    gif.on('start', (items) => {
      $('#myModal').modal('show');

      var post_data = new FormData();
      $.ajaxSetup({
        headers:
            { 'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content') }
        });
      $.ajax({
          url: "{{route('angpao.dolottery')}}",
          data: post_data,
          contentType: false,
          cache: false,
          processData: false,
          dataType: 'json',
          type: 'POST',
          beforeSend: function() {

          },
          success: function(response) {
            setTimeout(function() {
                window.location.href = response.data.redirect_url;
            }, 2000);
          },
          error: function(request, status, error) {

          }
      });

    });
  </script>
  </body>
</html>

resources/views/website/form-input.blade.php
<!DOCTYPE html>
<html lang="en" dir="ltr">
  <head>
    <meta charset="utf-8">
    <title>Mitsubishi Bagi-Bagi Kado</title>
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">

    <link href="https://fonts.googleapis.com/css?family=Roboto:400,300,100,500,700,900" rel="stylesheet" type="text/css">
    <link href="{{asset('superuser_asset/assets/css/bootstrap.min.css')}}" rel="stylesheet" type="text/css">
    <link rel="shortcut icon" href="{{asset('superuser_asset/assets/img/favicon.png')}}">
    <link href="{{ asset('superuser_asset/assets/plugins/toastr/toastr.min.css') }}" rel="stylesheet" type="text/css" />
    <meta name="csrf-token" content="{{ csrf_token() }}">

    <style media="screen">
      body{
        background-color: #D53231;
      }
      .body-content{
        margin-top: 15%;
        text-align: center;
      }
      .img-logo{
        width: 30%;
      }
      .img-event{
        margin-top: 16px;
        width: 50%;
      }
      .button-verify{
        width: 100%;
        background-color: white;
        font-weight: 600;
        margin-top: 2%;
        color: #D53231;
      }
      .form-input{
        background-color: #AE2423;
        border: 1px solid #AE2423;
        color: #FFFFFF;
      }
      .form-input::placeholder{
        color: #C2C2C2;
      }
      .form-insert{
        margin: 10% 10%;
      }
      .btn-primary:hover{
        background-color: white;
        color: #D53231;
      }
      .form-box{
        margin-bottom: 8px;
      }
      .form-input.disable-form{
        background-color: #C32928;
      }
    </style>
  </head>
  <body>
  <div class="container">
    <div class="col-md-12">
      <div class="body-content">
        <div class="row">
          <div class="col-md-12">
            <img src="{{asset('superuser_asset/assets/img/logo2-mitsubishi.svg')}}" class="img-logo" alt="">
          </div>
          <div class="col-md-12">
            <img src="{{asset('superuser_asset/assets/img/logo-event-crop.png')}}" class="img-event" alt="">
          </div>
        </div>
        <form class="kt-form" id="superuser-form" data-action="{{route('angpao.doinputform')}}" enctype="multipart/form-data" autocomplete="off">
          @csrf
          <div class="form-insert">
            <div class="form-box">
              <input type="text" class="form-control form-input disable-form" value="{{$customer->dealer->name}}" placeholder="Dealer Name" disabled>
            </div>
            <div class="form-box">
              <input type="text" class="form-control form-input disable-form" value="{{$customer->no_pol}}" placeholder="NIK" disabled>
            </div>
            <div class="form-box">
              <input type="text" class="form-control form-input disable-form" value="{{$customer->work_order}}" placeholder="Department" disabled>
            </div>
            <div class="form-box">
              <input type="text" class="form-control form-input" name="name" style="text-transform:uppercase" value="{{@$customer->name}}" placeholder="nama lengkap" required>
            </div>
            <div class="form-box">
              <input type="text" class="form-control form-input" name="no_tlp" value="{{@$customer->no_tlp}}" placeholder="nomor telepon">
            </div>
            <button type="submit" class="btn button-verify">Ambil Kado</button>
          </div>
        </form>
      </div>
    </div>
  </div>

  <script src="{{asset('superuser_asset/global_assets/js/main/jquery.min.js')}}"></script>
  <script src="{{asset('superuser_asset/global_assets/js/main/bootstrap.bundle.min.js')}}"></script>
  <script src="{{asset('superuser_asset/assets/plugins/toastr/toastr.min.js') }}"></script>
  <script src="{{asset('superuser_asset/global_assets/js/plugins/loaders/blockui.min.js')}}"></script>

  <script type="text/javascript">

		String.prototype.UcFirst = function() {
			return this.charAt(0).toUpperCase() + this.substr(1);
		}

		function redirect(url, timer) {
			if (url.includes('datatable')) {
				$(url).DataTable().ajax.reload();
				return;
			}

			setTimeout(function() {
				if (url == 'reload()') {
					window.location.reload();
				} else {
					window.location.href = url;
				}
			}, timer)
		}

		function toastMessage(type, object) {
			var time = 0;

			if (type == 'undefined' || type == null) {
				return false;
			}

			if ($.isEmptyObject(object)) {
				toastr[type](type.UcFirst());
			} else {
				$.each(object, function(index, value) {
					setTimeout(function() {
						toastr[type](value);
					}, time);
					time += 500;
				});
			}

			return time;
		}
	</script>
  <script type="text/javascript">
  $(document).ready(function() {
    $('#superuser-form').submit(function(e) {
        e.preventDefault();

        $('#superuser-form').find("button[type='submit']").prop('disabled', true);

        var post_data = new FormData(this);


        if ($('#img').length) {
            var name = $('#img').data('name').toString();
            var img = $('#img')[0].files[0];
            post_data.append(name, defaultFor(img, ""));
        }

        $.ajax({
            url: $('#superuser-form').data('action'),
            data: post_data,
            contentType: false,
            cache: false,
            processData: false,
            dataType: 'json',
            type: 'POST',
            beforeSend: function() {
              toastr["info"]("Mohon ditunggu");
              $.blockUI({
                  message: 'Mohon ditunggu',
                  overlayCSS: {
                      backgroundColor: '#1b2024',
                      opacity: 0.8,
                      cursor: 'wait'
                  },
                  css: {
                      border: 0,
                      color: '#fff',
                      padding: 0,
                      backgroundColor: 'transparent'
                  }
              });

              $('#superuser-form').find("button[type='submit']").text("Mohon tunggu");

            },
            success: function(response) {
                let toast = toastMessage('success', response.data.message);
                if (response.data.redirect_url) {
                    redirect(response.data.redirect_url, toast += 500);
                }
            },
            error: function(request, status, error) {
              $.unblockUI();
              $('#superuser-form').find("button[type='submit']").text("Ambil Angpao");
              $('#superuser-form').find("button[type='submit']").prop('disabled', false);
              toastMessage('error', request.responseJSON.data.message);
            }
          });
        });
      });

  </script>
  </body>
</html>

resources/views/website/verify-page.blade.php
<!DOCTYPE html>
<html lang="en" dir="ltr">
  <head>
    <meta charset="utf-8">
    <title>Mitsubishi Bagi-Bagi Angpao</title>
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
    <link rel="shortcut icon" href="{{asset('superuser_asset/assets/img/favicon.png')}}">
    <link href="https://fonts.googleapis.com/css?family=Roboto:400,300,100,500,700,900" rel="stylesheet" type="text/css">
  	<link href="{{asset('superuser_asset/assets/css/bootstrap.min.css')}}" rel="stylesheet" type="text/css">
  	<link href="{{ asset('superuser_asset/assets/plugins/toastr/toastr.min.css') }}" rel="stylesheet" type="text/css" />
    <meta name="csrf-token" content="{{ csrf_token() }}">

    <style media="screen">
      body{
        background-color: #D53231;
      }
      .body-content{
        margin-top: 15%;
        text-align: center;
      }
      .img-logo{
        width: 35%;
      }
      .img-event{
        margin-top: 16px;
        width: 85%;
      }
      .button-verify{
        width: 100%;
        background-color: white;
        font-weight: 600;
        color: #D53231;
      }
      .form-no-polisi{
        margin-bottom: 10px;
        background-color: #AE2423;
        border: 1px solid #AE2423;
        color: #FFFFFF;
      }
      .form-no-polisi::placeholder{
        color: #C2C2C2;
      }
      .form-insert{
        margin: 10% 10%;
      }
      .btn-primary:hover{
        background-color: white;
        color: #D53231;
      }

    </style>
  </head>
  <body>
  <div class="container">
    <div class="col-md-12">
      <div class="body-content">
        <div class="row">
          <div class="col-md-12">
            <img src="{{asset('superuser_asset/assets/img/logo2-mitsubishi.svg')}}" class="img-logo" alt="">
          </div>
          <div class="col-md-12">
            <img src="{{asset('superuser_asset/assets/img/logo-event-crop.png')}}" class="img-event" alt="">
          </div>
        </div>
        <form class="kt-form" id="superuser-form" data-action="{{route('angpao.doverifynopol')}}" enctype="multipart/form-data" autocomplete="off">
          @csrf
          <div class="form-insert">
            <input type="text" class="form-control form-no-polisi" name="no_pol" placeholder="Masukkan NIK">
            <button type="submit" class="btn button-verify">Verifikasi</button>
          </div>
        </form>

      </div>
    </div>
  </div>
  <script src="{{asset('superuser_asset/global_assets/js/main/jquery.min.js')}}"></script>
  <script src="{{asset('superuser_asset/global_assets/js/main/bootstrap.bundle.min.js')}}"></script>
  <script src="{{asset('superuser_asset/assets/plugins/toastr/toastr.min.js') }}"></script>
  <script src="{{asset('superuser_asset/global_assets/js/plugins/loaders/blockui.min.js')}}"></script>

  <script type="text/javascript">

		String.prototype.UcFirst = function() {
			return this.charAt(0).toUpperCase() + this.substr(1);
		}

		function redirect(url, timer) {
			if (url.includes('datatable')) {
				$(url).DataTable().ajax.reload();
				return;
			}

			setTimeout(function() {
				if (url == 'reload()') {
					window.location.reload();
				} else {
					window.location.href = url;
				}
			}, timer)
		}

		function toastMessage(type, object) {
			var time = 0;

			if (type == 'undefined' || type == null) {
				return false;
			}

			if ($.isEmptyObject(object)) {
				toastr[type](type.UcFirst());
			} else {
				$.each(object, function(index, value) {
					setTimeout(function() {
						toastr[type](value);
					}, time);
					time += 500;
				});
			}

			return time;
		}
	</script>
  <script src="{{asset('superuser_asset/form/form.js')}}"></script>


  </body>
</html>

resources/views/website/voucher.blade.php
<!DOCTYPE html>
<html lang="en" dir="ltr">
  <head>
    <meta charset="utf-8">
    <title>Mitsubishi Bagi-Bagi Angpao</title>
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
    <link href="https://fonts.googleapis.com/css?family=Roboto:400,300,100,500,700,900" rel="stylesheet" type="text/css">
    <link rel="shortcut icon" href="{{asset('superuser_asset/assets/img/favicon.png')}}">
    <link href="{{asset('superuser_asset/assets/css/bootstrap.min.css')}}" rel="stylesheet" type="text/css">
    <style media="screen">
      body{
        background-image:  url("{{asset('superuser_asset/assets/img/backround-angpao.png')}} ");
        background-repeat: no-repeat; /* Do not repeat the image */
        background-size: cover;
        background-color: #D53231;
      }
      .body-content{
        margin-top: 15%;
        text-align: center;
      }
      .img-logo{
        width: 30%;
      }
      .img-event{
        margin-top: 16px;
        width: 90%;
      }
      .title-event{
        margin-bottom: 0 !important;
        font-size: 30px;
        color: #FFFFFF;
        margin: 2% 0;
        font-weight: 800;
      }
      .desc-event{
        font-size: 14px;
        color: #FFFFFF;
        font-weight: 600;
      }
      .nominal{
        font-size: 40px;
        color: #F7D954;
        font-weight: 800;
        margin: 30px 0;
      }
      .text-box{
        margin-top: 16px;
      }
      .form-information label{
        color: white;
        font-size: 14px;
        margin-bottom: 0;
      }
      .form-information p{
        color: white;
        font-size: 20px;
        margin-bottom: 20px;
      }
      .footer{
        color: white;
        font-size: 300%;
        margin-top: 10%;
        margin-bottom: 10%;
      }
      .button-verify{
        width: 100%;
        background-color: white;
        font-weight: 600;
        color: #D53231;
      }
      .button-back-box{
        text-align: center;
        padding: 30px 15%;
      }
    </style>
  </head>
  <body>
  <div class="container backround-angpao">
    <div class="col-md-12">
      <div class="body-content">
        <div class="row">
          <div class="col-md-12">
            <img src="{{asset('superuser_asset/assets/img/logo2-mitsubishi.svg')}}" class="img-logo" alt="">
          </div>
          <div class="col-md-12">
            <div class="text-box">
              <p class="title-event">SELAMAT</p>
              <p class="desc-event">ANDA MENDAPATKAN KADO</p>
            </div>
            <p class="nominal">{{$customer->angpao->bucket->nominal}}</p>
            <div class="form-information">
              <label>Nama</label>
              <p><b>{{$customer->name}}</b></p>
            </div>
            <div class="form-information">
              <label>NIK</label>
              <p><b>{{$customer->no_pol}}</b></p>
            </div>
            <div class="form-information">
              <label>Kode Kado</label>
              <p><b>{{$customer->angpao->code}}</b></p>
            </div>
          </div>

          <div class="button-back-box col-md-12">
            <a href="{{route('angpao.logout')}}">
              <button type="submit" class="btn button-verify">Back</button>
            </a>
          </div>

        </div>
      </div>
    </div>
  </div>

  <script src="{{asset('superuser_asset/global_assets/js/main/jquery.min.js')}}"></script>
  <script src="{{asset('superuser_asset/global_assets/js/main/bootstrap.bundle.min.js')}}"></script>
  </body>
</html>